﻿/**援建情况 轮岗情况 挂职情况等企业人附表建表语句**/
/**Begin D:\Soft\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\HRPI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_HELPBUILDINFO')
CREATE TABLE T_HRPI_HELPBUILDINFO (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FINITDATASOURCE CHAR(1) DEFAULT ' ' NOT NULL,
                                      FINITSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                      FINITBATCH BIGINT DEFAULT 0 NOT NULL,
                                      FBOID BIGINT DEFAULT 0 NOT NULL,
                                      FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                      FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                      FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                      FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                      FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                      FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                      FSTARTDATE DATETIME,
                                      FENDDATE DATETIME,
                                      FHBPOSITION VARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FHBTYPE BIGINT DEFAULT 0 NOT NULL,
                                      FHBCOMP NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_HELPBUILDINFO_L')
CREATE TABLE T_HRPI_HELPBUILDINFO_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                        FHBCOMP NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TAKETEMPOSINFO')
CREATE TABLE T_HRPI_TAKETEMPOSINFO (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FINITDATASOURCE CHAR(1) DEFAULT ' ' NOT NULL,
                                       FINITSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                       FINITBATCH BIGINT DEFAULT 0 NOT NULL,
                                       FBOID BIGINT DEFAULT 0 NOT NULL,
                                       FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                       FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                       FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                       FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                       FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                       FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                       FSTARTDATE DATETIME,
                                       FENDDATE DATETIME,
                                       FTTPDEP BIGINT DEFAULT 0 NOT NULL,
                                       FTTPCOMPTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FJOB BIGINT DEFAULT 0 NOT NULL,
                                       FPOSITION BIGINT DEFAULT 0 NOT NULL,
                                       FTTPUNITTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FTTPDEPTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FJOBTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FPOSITIONTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FTTPCOMP BIGINT DEFAULT 0 NOT NULL,
                                       FTTPTYPE BIGINT DEFAULT 0 NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_TAKETEMPOSINFO_L')
CREATE TABLE T_HRPI_TAKETEMPOSINFO_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                         FTTPDEPTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FTTPCOMPTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FJOBTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                         FPOSITIONTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ROTATIONINFO')
CREATE TABLE T_HRPI_ROTATIONINFO (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FINITDATASOURCE CHAR(1) DEFAULT ' ' NOT NULL,
                                     FINITSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
                                     FINITBATCH BIGINT DEFAULT 0 NOT NULL,
                                     FBOID BIGINT DEFAULT 0 NOT NULL,
                                     FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                     FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                     FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                     FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                     FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                     FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                     FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                     FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                     FSTARTDATE DATETIME,
                                     FENDDATE DATETIME,
                                     FROTDEP BIGINT DEFAULT 0 NOT NULL,
                                     FROTCOMPTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FJOB BIGINT DEFAULT 0 NOT NULL,
                                     FPOSITION BIGINT DEFAULT 0 NOT NULL,
                                     FROTUNITTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FROTDEPTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FJOBTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FPOSITIONTEXT VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FROTCOMP BIGINT DEFAULT 0 NOT NULL,
                                     FROTTYPE BIGINT DEFAULT 0 NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FCREATETIME DATETIME,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRPI_ROTATIONINFO_L')
CREATE TABLE T_HRPI_ROTATIONINFO_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
                                       FROTDEPTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FROTCOMPTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FJOBTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                       FPOSITIONTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\Soft\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\HRPI_table.sql **/